import type { BasicDataset, BasicDimension, BasicMeta, BasicMetric, BuiltInAddon, NormalizedEChartOption } from '../echarts';
export interface EChartOptionParams {
    dataset: BasicDataset;
    dimensions: BasicDimension | BasicDimension[];
    metrics: BasicMetric | BasicMetric[];
    meta?: BasicMeta[];
    addons?: BuiltInAddon[];
}
export declare function useEChartOption(params: EChartOptionParams): NormalizedEChartOption;
