export declare type LegacyDataset = (string | number)[][];
export declare type NormalizedDataset = Record<string, string | number>[];
export declare type BasicDataset = LegacyDataset | NormalizedDataset;
export declare function isLegacyDataset(dataset: BasicDataset): dataset is LegacyDataset;
export declare function isNormalizedDataset(dataset: BasicDataset): dataset is NormalizedDataset;
export declare function normalizeDataset(dataset: BasicDataset): NormalizedDataset;
